LogFileTailPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.LogFileTailPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class LogFileTailPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.LogTrackPlugin
              org.hyperic.hq.product.LogFileTrackPlugin
                  org.hyperic.hq.product.LogFileTailPlugin

Direct Known Subclasses:
  Log4JLogTrackPlugin

    public class LogFileTailPlugin

extends LogFileTrackPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.LogFileTrackPlugin
`PROP_FILES_PLATFORM, PROP_FILES_SERVER, PROP_FILES_SERVICE`

Fields inherited from class org.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_ANY, LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`LogFileTailPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`TrackEvent` | `processLine(org.hyperic.sigar.FileInfo info, java.lang.String line)`
`void` | `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class org.hyperic.hq.product.LogFileTrackPlugin
`getConfigSchema, getDefaultLogFile, getFiles, getFilesOption`

Methods inherited from class org.hyperic.hq.product.LogTrackPlugin
`getEnableOption, getExcludeOption, getIncludeOption, getLogLevel, getLogLevel, getLogLevelAliases, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFileTailPlugin

    public LogFileTailPlugin()

Method Detail

### processLine

    public TrackEvent processLine(org.hyperic.sigar.FileInfo info,
                                  java.lang.String line)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `LogTrackPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.